USE [master]
GO

CREATE DATABASE [ImagesDB] 
GO

USE [ImagesDB]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Images](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Name] [varchar](30) NOT NULL,
	[Url] [nvarchar](200) NOT NULL,
 CONSTRAINT [PK_Images] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


CREATE PROCEDURE [dbo].[GetImagesPageWise] 
--[dbo].[GetImagesPageWise] 2, 10, null
	@PageIndex INT = 1
   ,@PageSize INT = 3
   ,@PageCount INT OUTPUT
AS
BEGIN	
	SET NOCOUNT ON;

    SELECT ROW_NUMBER() OVER
            (
                  ORDER BY [Id] ASC
            )AS RowNumber
      ,Id
	  ,Name
      ,Url
    INTO #Results
    FROM [Images]

	DECLARE @RecordCount INT
    SELECT @RecordCount = COUNT(*) FROM #Results

	SET @PageCount = CEILING(CAST(@RecordCount AS DECIMAL(10, 2)) / CAST(@PageSize AS DECIMAL(10, 2)))
    PRINT       @PageCount
           
    SELECT * FROM #Results
    WHERE RowNumber BETWEEN(@PageIndex -1) * @PageSize + 1 AND(((@PageIndex -1) * @PageSize + 1) + @PageSize) - 1
     
    DROP TABLE #Results
END

GO

INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 714'
           ,'http://farm3.staticflickr.com/2854/10380193164_9b65e4c5ed_n.jpg')
Go
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 707'
           ,'http://farm8.staticflickr.com/7395/10380186284_4f9ac522ed_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 716'
           ,'http://farm8.staticflickr.com/7424/10380408813_3cd984570d_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Blue Columbine'
           ,'http://farm4.staticflickr.com/3723/8986453414_a869ddc3aa_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Orange Flower'
           ,'http://farm9.staticflickr.com/8395/8985239089_4318196db2_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Pink Flowers'
           ,'http://farm6.staticflickr.com/5458/8986421148_090da165fe_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Red Flower'
           ,'http://farm3.staticflickr.com/2840/8985216479_c445ab181d_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Bleeding Hearts'
           ,'http://farm3.staticflickr.com/2893/8805325511_77409b3138_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Pink Blossoms'
           ,'http://farm8.staticflickr.com/7386/8805321169_c2086199aa_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Ant on Dandelion'
           ,'http://farm9.staticflickr.com/8396/8805314187_1aed702082_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Lily of the Valley'
           ,'http://farm6.staticflickr.com/5467/8805305623_24d7e73f40_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Trillium'
           ,'http://farm3.staticflickr.com/2825/8815859762_9babaeb931_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Indigo Bunting (male)'
           ,'http://farm6.staticflickr.com/5447/8805380303_abe6fb1e2c_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Indigo Bunting (female)'
           ,'http://farm6.staticflickr.com/5442/8815966346_01290e3473_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Male Cardinal'
           ,'http://farm8.staticflickr.com/7293/8805403629_733f9c2f75_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Robin'
           ,'http://farm9.staticflickr.com/8553/8815866724_a5225526b7_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Woodpecker'
           ,'http://farm8.staticflickr.com/7316/8805057433_c645e964d3_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Bird House on Fence'
           ,'http://farm4.staticflickr.com/3677/8815768226_e77001b16e_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Red-Winged Blackbird'
           ,'http://farm8.staticflickr.com/7310/8805047049_d5d83deedb_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Titmouse'
           ,'http://farm3.staticflickr.com/2885/8815468608_ea2c73bf2f_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('IMG_0062'
           ,'http://farm3.staticflickr.com/2595/4181626944_b390404999_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Mabon Altar 2012'
           ,'http://farm8.staticflickr.com/7345/8725416173_7a1ae65741_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Squirrel on tree'
           ,'http://farm3.staticflickr.com/2751/4356801873_f41090c50f_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Mourning Dove'
           ,'http://farm3.staticflickr.com/2794/4357553904_22b42a1ef3_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Purple Finches'
           ,'http://farm5.staticflickr.com/4134/4768587708_cf78362af7_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Robins egg shell'
           ,'http://farm5.staticflickr.com/4079/4768680792_de7d34f281_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Juvenile Downy Woodpecker'
           ,'http://farm5.staticflickr.com/4080/4768042991_0de674ab7c_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Common Grackle'
           ,'http://farm5.staticflickr.com/4140/4768043903_277c62e91d_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Male Goldfinch'
           ,'http://farm5.staticflickr.com/4082/4768683630_0feb087a84_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Female Goldfinch'
           ,'http://farm5.staticflickr.com/4136/4768045837_cdb5dc41f3_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 January 2012 007'
           ,'http://farm8.staticflickr.com/7130/6885958326_ecbb33e962_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 January 2012 001'
           ,'http://farm8.staticflickr.com/7051/7032054587_5f15e32a10_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 January 2012 013'
           ,'http://farm8.staticflickr.com/7228/6885959482_670fb32b58_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 January 2012 017'
           ,'http://farm8.staticflickr.com/7120/7032057469_ce0c1620d4_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 March 2012 119'
           ,'http://farm8.staticflickr.com/7243/7032062527_b747960d12_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 March 2012 139'
           ,'http://farm8.staticflickr.com/7129/6885968576_8c08f634bb_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 March 2012 215'
           ,'http://farm8.staticflickr.com/7266/6885972816_246226ae5a_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 March 2012 256'
           ,'http://farm8.staticflickr.com/7275/7032073271_de335d44cb_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 March 2012 271'
           ,'http://farm8.staticflickr.com/7096/6885977752_d9bc877626_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 March 2012 297'
           ,'http://farm8.staticflickr.com/7260/7032077647_5992bf7b2e_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 March 2012 322'
           ,'http://farm8.staticflickr.com/7099/7032082113_e77dbd8f8a_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 March 2012 387'
           ,'http://farm8.staticflickr.com/7061/7032085171_5bdb839a6e_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 March 2012 408'
           ,'http://farm8.staticflickr.com/7188/7032088089_f72de9d962_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Cherry Blossoms'
           ,'http://farm8.staticflickr.com/7098/6962774716_938f2a7c36_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Lone Tulip'
           ,'http://farm8.staticflickr.com/7048/7108849125_5aa4d4f4e4_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Flowers Pink Purple'
           ,'http://farm8.staticflickr.com/7227/7279167256_fdc278ddb5_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Flowers Mixed Colors'
           ,'http://farm9.staticflickr.com/8023/7279171612_6685993a33_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Flowers Red'
           ,'http://farm9.staticflickr.com/8016/7279176896_a6f0b3ae1a_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('flowers mixed colors2'
           ,'http://farm9.staticflickr.com/8167/7279173230_cce3466125_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Metal Owl'
           ,'http://farm9.staticflickr.com/8400/8793144092_ca51f7ebdb_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Wagon Wheel Decoration'
           ,'http://farm8.staticflickr.com/7425/8804860977_ff2513c017_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Sloar Light at Dusk'
           ,'http://farm3.staticflickr.com/2846/8815613490_7a0647887e_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Embers'
           ,'http://farm8.staticflickr.com/7401/8815398858_703df5619f_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fire'
           ,'http://farm8.staticflickr.com/7311/8804811701_6a794257a4_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Sunset in Bitely Michigan'
           ,'http://farm8.staticflickr.com/7350/8726547192_62efcf8524_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Sunset in Bitely Michigan1'
           ,'http://farm8.staticflickr.com/7410/8726544888_0320edb982_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Sunset in Bitely Michigan2'
           ,'http://farm8.staticflickr.com/7441/8725400563_bdb761e767_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 171'
           ,'http://farm6.staticflickr.com/5497/10379591805_abafb59934_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 126'
           ,'http://farm8.staticflickr.com/7406/10379583506_edd47622f5_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 083'
           ,'http://farm8.staticflickr.com/7358/10379706193_d1fa7a731b_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 065'
           ,'http://farm3.staticflickr.com/2828/10379529486_7abd3b99ef_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 053'
           ,'http://farm4.staticflickr.com/3723/10379498815_2acedf4c6c_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 595'
           ,'http://farm8.staticflickr.com/7397/10379841244_ec8c68ccc4_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 227'
           ,'http://farm6.staticflickr.com/5528/10379655586_2a95e5f127_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Morning dew and a slug'
           ,'http://farm3.staticflickr.com/2864/8985141039_b9ccb01a63_n.jpg')
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Reflection in a water drop'
           ,'http://farm3.staticflickr.com/2811/8985165429_edfd804fdb_n.jpg')
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 452'
           ,'http://farm6.staticflickr.com/5546/10379970533_36b8a3d172_n.jpg')
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Strawberry Blossom'
           ,'http://farm9.staticflickr.com/8113/8815957300_1d74a2601b_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Apple Blossoms'
           ,'http://farm8.staticflickr.com/7345/8805328967_e5fe730795_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Lilacs'
           ,'http://farm4.staticflickr.com/3678/8805352783_24e62bbec7_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Blossoms'
           ,'http://farm6.staticflickr.com/5329/8805200959_e142434c0b_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Daffodil'
           ,'http://farm4.staticflickr.com/3823/8815722456_fce0496a40_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Blue and White Blossoms'
           ,'http://farm3.staticflickr.com/2883/8815550848_3771004df8_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Toadstool'
           ,'http://farm4.staticflickr.com/3678/8805335747_08f57152cb_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 March 2012 356'
           ,'http://farm8.staticflickr.com/7099/6885987510_c06e5b793b_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Honey Bee'
           ,'http://farm8.staticflickr.com/7252/7108848447_c0aac7a62e_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Trout lily'
           ,'http://farm8.staticflickr.com/7066/6962774152_de05474e50_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 March 2012 282'
           ,'http://farm8.staticflickr.com/7103/6885978990_a103f700d6_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('1 March 2012 129'
           ,'http://farm8.staticflickr.com/7211/6885966482_3ede265d0c_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Nuthatch'
           ,'http://farm5.staticflickr.com/4082/4768685010_843a9eab4e_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('After the flood'
           ,'http://farm4.staticflickr.com/3221/3151801413_cfe7c8ae4a_n.jpg	')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 902'
           ,'http://farm4.staticflickr.com/3700/10380502283_9dc21a7399_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Toadstool2'
           ,'http://farm8.staticflickr.com/7442/8986390606_0ec31be0f5_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Bluejays'
           ,'http://farm9.staticflickr.com/8418/8805033521_04ed7d620e_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 168'
           ,'http://farm4.staticflickr.com/3683/10379566354_38efe2b506_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 192'
           ,'http://farm3.staticflickr.com/2837/10379605235_5e95702e08_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 249'
           ,'http://farm3.staticflickr.com/2820/10379652095_983088cf4c_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 254'
           ,'http://farm8.staticflickr.com/7380/10379642624_89b111ef11_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 525'
           ,'http://farm8.staticflickr.com/7460/10379808224_336a427151_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Fall 682'
           ,'http://farm4.staticflickr.com/3763/10380188155_345a573bf5_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Sparrow'
           ,'http://farm8.staticflickr.com/7324/8815761708_b8d2738b55_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Red-headed Woodpecker'
           ,'http://farm4.staticflickr.com/3754/8805193143_b82785c739_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Spider with Egg Sack'
           ,'http://farm4.staticflickr.com/3686/8815925020_39e8137810_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Tree Fungus'
           ,'http://farm6.staticflickr.com/5443/8804970659_2357658c00_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Gazing Ball Reflection'
           ,'http://farm4.staticflickr.com/3792/8815730630_c844bc38b5_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Pileated Woodpecker'
           ,'http://farm8.staticflickr.com/7308/8726523310_5605062913_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Welcome to winter'
           ,'http://farm8.staticflickr.com/7410/8726535206_84b60470d6_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Titmouse in pine'
           ,'http://farm8.staticflickr.com/7290/8725411913_21cf2b0e6b_n.jpg')
GO
INSERT INTO [dbo].[Images]
           ([Name]
           ,[Url])
     VALUES
           ('Sunshine in the afternoon'
           ,'http://farm8.staticflickr.com/7287/8725402101_e63c1b6f4f_n.jpg')
GO





